<%@ Page Language="vb" AutoEventWireup="false" Codebehind="WebForm1.aspx.vb" Inherits="RSSTestVB.WebForm1"%>
<%@ Register TagPrefix="rcweb" Namespace="Components4U.Web.UI.WebControls" Assembly="Components4U.Web.RSSContainer" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>ShowRSSFeed</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="Styles.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<div align="center" class="title">This sample show how you can use the <a href="http://www.Components4U.Net/" target="_blank">
					Components4U</a> Web RSSContainer component</div>
			<rcWeb:RSSContainer id="cNews" runat="server" URL="http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/business/rss.xml">
				<ItemTemplate>
					<TR>
						<TD>
							<asp:Label id=lblDate runat="server" Text='<%# DataBinder.Eval(Container, "DocumentItem.PubDate", "{0:D}") %>' CssClass="date">
							</asp:Label></TD>
						<TD>
							<asp:Label id=lblTitle runat="server" Text='<%# DataBinder.Eval(Container, "DocumentItem.Title") %>' CssClass="title">
							</asp:Label>&nbsp;
						</TD>
					</TR>
					<TR>
						<TD colspan="2">
							<asp:Label id=lblDescription runat="server" Text='<%# DataBinder.Eval(Container, "DocumentItem.Description") %>' CssClass="text">
							</asp:Label></TD>
					</TR>
					<TR>
						<TD colspan="2">
							<asp:HyperLink id=lnkLink runat="server" NavigateUrl='<%# DataBinder.Eval(Container, "DocumentItem.Link") %>' Target="_blank">More...</asp:HyperLink></TD>
					</TR>
				</ItemTemplate>
				<HeaderTemplate>
					<P>
						<asp:Image id=imgLogo runat="server" Width='<%# System.Web.UI.WebControls.Unit.Parse(DataBinder.Eval(Container, "RSS.Channel.Image.Width").ToString()) %>' ImageUrl='<%# DataBinder.Eval(Container, "RSS.Channel.Image.URL") %>' Height='<%# System.Web.UI.WebControls.Unit.Parse(DataBinder.Eval(Container, "RSS.Channel.Image.Height").ToString()) %>' AlternateText='<%# DataBinder.Eval(Container, "RSS.Channel.Image.Title") %>'>
						</asp:Image><BR>
						<SPAN class="title">Title:</SPAN>
						<asp:Label id=Label1 runat="server" Text='<%# DataBinder.Eval(Container, "RSS.Channel.Title") %>' CssClass="text">
						</asp:Label><BR>
						<SPAN class="title">Pub Date:</SPAN>
						<asp:Label id=Label2 runat="server" Text='<%# DataBinder.Eval(Container, "RSS.Channel.PubDate", "{0:D}") %>' CssClass="date">
						</asp:Label></P>
					<TABLE class="tbl" align="left">
				</HeaderTemplate>
				<FooterTemplate>
</table>
</FooterTemplate>
			</rcWeb:RSSContainer>
		</form>
	</body>
</HTML>
